###############################################
# Do not Edit! Generated by:
# spec-builder version 0.14
###############################################

Name: syncevolution
Summary: SyncML Client
Group: Applications/Productivity
Version: 0.9.1
License: LGPLv2+
URL: http://www.estamos.de/projects/SyncML/
Release: 7.1.moblin2
Source0: %{name}-0.9.1.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: pkgconfig(evolution-data-server-1.2)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libsoup-gnome-2.4)
BuildRequires: pkgconfig(libpcre)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: pkgconfig(gconf-2.0)
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(unique-1.0)
BuildRequires: pkgconfig(gnome-keyring-1)

BuildRequires: boost-devel
BuildRequires: cppunit-devel
BuildRequires: dbus
BuildRequires: intltool
BuildRequires: python
BuildRequires: gdb
BuildRequires: expat-devel

Requires: ca-certificates
Requires(post): /bin/touch

%description
Description: %{summary}

%package devel

Summary: Development files for %{name}
Group: Development/Libraries

Requires: %{name} = %{version}-%{release}
Requires: %{name} >= %{version}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package test

Summary: Testing system for %{name}
Group: Development/Libraries

Requires: %{name} = %{version}-%{release}

%description test
The %{name}-test package contains a test runner (client-test)
and files with test cases for %{name}.

%prep
%setup -q -n %{name}-0.9.1

%build
%configure --enable-integration-tests --enable-dbus-service --enable-gui=moblin --enable-shared --with-expat=system --disable-static
export LD_AS_NEEDED=1
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%find_lang SyncEvolution  || echo -n >> SyncEvolution.lang

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done

%clean
rm -rf %{buildroot}

%post 
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache \
  --quiet %{_datadir}/icons/hicolor 2> /dev/null|| :

%postun -p /sbin/ldconfig

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%files -f SyncEvolution.lang
%defattr(-,root,root,-)
%defattr(-,root,root,-)
%{_bindir}/synccompare
%{_bindir}/syncevolution
%{_bindir}/sync-ui
%{_libdir}/libsynthesis.so.0
%{_libdir}/libsynthesis.so.0.2.0
%{_libdir}/libsmltk.so.0
%{_libdir}/libsmltk.so.0.2.0
%{_libdir}/libsyncevo-dbus.so.0
%{_libdir}/libsyncevo-dbus.so.0.0.0
%{_libdir}/libsyncevolution.so.0
%{_libdir}/libsyncevolution.so.0.0.0
%{_libdir}/syncevolution/backends/syncecal.so
%{_libdir}/syncevolution/backends/syncebook.so
%{_libdir}/syncevolution/backends/syncaddressbook.so
%{_libdir}/syncevolution/backends/syncsqlite.so
%{_libdir}/syncevolution/backends/syncfile.so
%{_libexecdir}/syncevo-dbus-server
%{_datadir}/icons/hicolor/48x48/apps/sync.png
%{_datadir}/syncevolution/close_hover.png
%{_datadir}/syncevolution/settings_hover.png
%{_datadir}/syncevolution/sync-generic.png
%{_datadir}/syncevolution/ui.xml
%{_datadir}/syncevolution/settings.png
%{_datadir}/syncevolution/close.png
%{_datadir}/syncevolution/sync-ui.rc
%{_datadir}/applications/sync.desktop
%{_datadir}/dbus-1/services/org.Moblin.SyncEvolution.service
%{_datadir}/locale/*/LC_MESSAGES/syncevolution.mo
%{_sysconfdir}/default/syncevolution/ScheduleWorld/sources/addressbook/config.ini
%{_sysconfdir}/default/syncevolution/ScheduleWorld/sources/calendar/config.ini
%{_sysconfdir}/default/syncevolution/ScheduleWorld/sources/memo/config.ini
%{_sysconfdir}/default/syncevolution/ScheduleWorld/sources/todo/config.ini
%{_sysconfdir}/default/syncevolution/ScheduleWorld/config.ini
%{_sysconfdir}/default/syncevolution/Funambol/sources/addressbook/config.ini
%{_sysconfdir}/default/syncevolution/Funambol/sources/calendar/config.ini
%{_sysconfdir}/default/syncevolution/Funambol/sources/memo/config.ini
%{_sysconfdir}/default/syncevolution/Funambol/sources/todo/config.ini
%{_sysconfdir}/default/syncevolution/Funambol/config.ini

%files devel
%defattr(-,root,root,-)
%doc
%defattr(-,root,root,-)
%dir %{_includedir}/synthesis
%{_includedir}/synthesis/*.h
%{_includedir}/syncevo/*.h
%{_includedir}/syncevo-dbus/*.h
%{_libdir}/libsynthesis.so
%{_libdir}/libsmltk.so
%{_libdir}/libsyncevo-dbus.so
%{_libdir}/libsyncevolution.so
%{_libdir}/pkgconfig/syncevo-dbus.pc
%{_libdir}/pkgconfig/syncevolution.pc
%{_libdir}/syncevolution/backends/syncecal.so
%{_libdir}/syncevolution/backends/syncebook.so
%{_libdir}/syncevolution/backends/syncaddressbook.so
%{_libdir}/syncevolution/backends/syncsqlite.so
%{_libdir}/syncevolution/backends/syncfile.so
%{_libdir}/pkgconfig/synthesis.pc
%files test
%defattr(-,root,root,-)
%doc
%defattr(-,root,root,-)
%{_bindir}/client-test
%{_docdir}/syncevolution/testcases/*


%changelog
* Mon Oct 26 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.9.1
- zh_CH language update
- spelling fixes in NEWS file
- libsynthesis autotools script update
- released as 0.9.1
* Mon Oct 19 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.9.0.99.4
- forth snapshot of new 0.9.1 release (0.9.1 beta 2)
* Wed Oct  7 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.9.0.99.3
- third snapshot of new 0.9.1 release (0.9.1 beta 1)
* Mon Sep 28 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.9.0.99.2
- second snapshot of new 0.9.1 release
* Thu Sep 24 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.9.0.99.1
- first snapshot of new 0.9.1 release
* Wed Aug 12 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.9
- final SyncEvolution 0.9 release
- updated translations
- fixed build issue on Fedora 11/g++ 4.4 (Bugzilla #5061)
- some build and test improvements
- proper fix for D-Bus error functions (#4919)
- improve sync-ui startup time by avoiding an unnecessary
  copying of the sync config into itself (#5021)
- adapted tooltip style (used for SyncML server links) to new
  Moblin theme, they weren't visible earlier (#5017)
- notify zone selector in Moblin 2.0 about sync-ui startup (#4752)
- sync-ui: minor layout change for fatal error situation
* Thu Jul 30 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.8.1+0.9+beta3+20090730
- workarounds for ScheduleWorld deficiencies (EXDATE Bugzilla #4457, slow sync #4703)
- include locally deleted items in refresh-from-server sync statistics (#3314)
- fixed potential crashes in GTK-GUI (#4921, #4919)
- fixed i18n issue: untranslated string is no longer shown (#4273)
- improved testing and logging
- new translations from transifex.moblin.org
* Mon Jul 27 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.8.1+0.9+beta3+20090727
- new translations from transifex.moblin.org
* Fri Jul 24 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.8.1+0.9+beta3+20090723
- new upstream source (Bugzilla #4676, #4551)
- new translations from transifex.moblin.org
* Wed Jul 22 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.8.1+0.9+beta3
- new upstream source, including translations from transifex.moblin.org
- depend on ca-certificates because SyncEvolution tells libsoup to use those
- new upstream web site
* Fri Jul 17 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.8.1+0.9+beta2+20090717
- various fixes and improvements (Google interoperability, GTK UI)
- imported translations from transifex.moblin.org
* Thu Jul  9 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.8.1+0.9+beta2+20090709
- various fixes and improvements (GNOME keyring, suspend&resume, testing, Funambol interoperability)
- imported translations from transifex.moblin.org
* Thu Jun 25 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.8.1+0.9+beta2+20090625
- various fixes and improvements
- imported translations from transifex.moblin.org
* Wed Jun 10 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.8.1+0.9+beta2+20090610
- new Synthesis engine (with workaround for ZYB.com login)
- various minor fixes in sync UI/dbus client and core SyncEvolution
* Thu May 14 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.8.1+0.9+beta2+20090514
- fix for test system (#2219, #2220)
- dbus client: don't open urls twice (#2387)
- various other fixes in sync UI/dbus client
* Wed May 13 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.8.1+0.9+beta2+20090513
- better workaround for ScheduleWorld's EXDATE bug (#2226)
- GUI hack for unmaximized windows (#2057)
- GUI suppresses unsupported data sources (memos, #1977)
- GUI cancel improvements and cancel temporarily removed because not
  completely done (#2271, 2067)
- --remove did not remove .other.ini (#1806)
- fix for not having all backends loaded when using shared libs (#2236)
* Tue May 12 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.8.1+0.9+ui+20090512
- Bugzilla #2222: support checking of connection state via Conman
- GUI: tigher screen layout to fit into Netbook screen
- compile more code into shared libraries to reduce overall size
* Mon May 11 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.8.1+0.9+ui+20090511
- Bugzilla #2042: GUI: no feedback for failed sync
- Bugzilla #2063: SyncUI cannot sync data while command line can
- Bugzilla #2029: client-test Source::testImport failed on Moblin
- Bugzilla #2146: D-Bus interface: detect crash of server
- some other minor fixes and improvements (for example, README)
* Fri May  8 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.8.1+0.9+ui+20090508
- various fixes in the UI
- use GNOME system settings for HTTP proxy
* Thu May  7 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.8.1+0.9+ui+20090507
- built from "ui" branch with Moblin UX GUI enabled
* Tue May  5 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.8.1+0.9+20090505
- uses the 3.2.0.27 Synthesis open source release from www.synthesis.ch/indefero:
  fixes VTIMEZONE parsing and generation of invalid VTIMEZONE with no TZID
- Evolution memos: send summary if description is empty
* Wed Apr 22 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.8.1+0.9+20090422
- uses the 3.2.0.26 Synthesis open source release from www.synthesis.ch/indefero
- fixed Bugzilla #1412: no data source enabled => XML error => should be normal message
* Thu Apr  9 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.8.1+0.9+20090409
- various bug fixes in Synthesis SyncML implementation
- updated README + NEWS files in preparation for 0.9 beta 1
* Wed Mar 25 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.9alpha20090325
- fixed bugzilla #1318: sync with ScheduleWorld fails: Cannot connect to datastore implementation module
- fixed bugzilla #1332: Moblin UX: should find address book, calendar, task list
- workaround bugzilla #1360: WBXML + ScheduleWorld: "UNKNOWN SERVER"
- compile SyncML Toolkit as separate library
* Fri Mar 13 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.9alpha20090313
- updated upstream sources
- build -test package with client-test + test files
* Fri Feb 27 2009 Patrick Ohly <patrick.ohly@intel.com> - 0.9-alpha-2009-02-27
- Initial release with Synthesis
